@echo off
pushd %0\..

echo #######################################################
echo #
echo # SpringProx API - building Windows libraries
echo #
echo #######################################################
echo.

set CETarget=PPC2003
set CEVersion=420
set CEPlatform=ARM
set CEPlatformCPU=ARMV4
set CESubsystem=windowsce,4.2
set CECrt=C
set CECrtDebug=C
set CECrtMT=C
set CECrtMTDebug=C
set CENoDefaultLib=libc.lib /nodefaultlib:libcd.lib /nodefaultlib:libcmt.lib /nodefaultlib:libcmtd.lib /nodefaultlib:msvcrt.lib /nodefaultlib:msvcrtd.lib
set CEx86Corelibc=corelibc.lib
set CC=clarm.exe /QRarch4
set LD=link.exe

set OLD_PATH=%PATH%
set PATH=i:\builder\Tools;%SystemRoot%\system32;i:\builder\wce420\bin;%PATH%
set INCLUDE_DIR=i:\builder\wce420\ppc2003\inc
set LIBRARY_DIR=i:\builder\wce420\ppc2003\lib\armv4

set SOURCE_DIR=i:\projects\common
if not exist %SOURCE_DIR%\* goto :NO_SOURCE
set OBJECT_DIR=.\obj
set TARGET_DIR=..\..\runimage\wince_armv4

echo # Creating directories
echo.

mkdir %OBJECT_DIR% > NUL:
mkdir %TARGET_DIR% > NUL:

echo.
echo # Invoking make
echo.
make
if errorlevel 1 goto :FAILED
echo.
echo # Done
echo.
goto :END

:NO_SOURCE
echo.
echo # ERROR - Source directory doesn't existe or is empty
echo #         Please edit build.cmd and define the correct path where
echo #         your source tree is located
echo.
goto :END

:FAILED
echo.
echo # ERROR - Make failed
echo.

:END
pause